Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1354440 - [abrt] nautilus: g_type_check_instance_is_fundamentally_a(): nautilus killed by SIGSEGV
Summary: [abrt] nautilus: g_type_check_instance_is_fundamentally_a(): nautilus killed ...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: nautilus
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:1fddbb2f7b7694a8773b60d6cdf...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-11 10:21 UTC by Marcel Hetzendorfer
Modified: 2017-08-08 15:30 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 15:30:57 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2016-07-11 10:21 UTC, Marcel Hetzendorfer
no flags Details
File: cgroup (deleted)
2016-07-11 10:21 UTC, Marcel Hetzendorfer
no flags Details
File: core_backtrace (deleted)
2016-07-11 10:21 UTC, Marcel Hetzendorfer
no flags Details
File: dso_list (deleted)
2016-07-11 10:21 UTC, Marcel Hetzendorfer
no flags Details
File: environ (deleted)
2016-07-11 10:21 UTC, Marcel Hetzendorfer
no flags Details
File: exploitable (deleted)
2016-07-11 10:21 UTC, Marcel Hetzendorfer
no flags Details
File: limits (deleted)
2016-07-11 10:21 UTC, Marcel Hetzendorfer
no flags Details
File: maps (deleted)
2016-07-11 10:21 UTC, Marcel Hetzendorfer
no flags Details
File: mountinfo (deleted)
2016-07-11 10:21 UTC, Marcel Hetzendorfer
no flags Details
File: namespaces (deleted)
2016-07-11 10:21 UTC, Marcel Hetzendorfer
no flags Details
File: open_fds (deleted)
2016-07-11 10:21 UTC, Marcel Hetzendorfer
no flags Details
File: proc_pid_status (deleted)
2016-07-11 10:21 UTC, Marcel Hetzendorfer
no flags Details
File: var_log_messages (deleted)
2016-07-11 10:21 UTC, Marcel Hetzendorfer
no flags Details

Description Marcel Hetzendorfer 2016-07-11 10:21:35 UTC
Description of problem:
tried to open a folder

Version-Release number of selected component:
nautilus-3.20.1-1.fc24

Additional info:
reporter:       libreport-2.7.1
backtrace_rating: 4
cmdline:        nautilus -n
crash_function: g_type_check_instance_is_fundamentally_a
executable:     /usr/bin/nautilus
global_pid:     2390
kernel:         4.6.3-300.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reproducible:   Not sure how to reproduce the problem
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_type_check_instance_is_fundamentally_a at gtype.c:4034
 #1 g_object_ref at gobject.c:3049
 #2 g_list_copy_deep at glist.c:680
 #3 nautilus_files_view_set_selection at nautilus-files-view.c:2760
 #4 load_new_location at nautilus-window-slot.c:1499
 #5 setup_view at nautilus-window-slot.c:1436
 #6 got_file_info_for_view_selection_callback at nautilus-window-slot.c:1334
 #7 call_ready_callbacks_at_idle at nautilus-directory-async.c:1801
 #11 g_main_context_iteration at gmain.c:3901
 #12 g_application_run at gapplication.c:2381

Potential duplicate: bug 1303196

Comment 1 Marcel Hetzendorfer 2016-07-11 10:21:40 UTC
Created attachment 1178329 [details]
File: backtrace

Comment 2 Marcel Hetzendorfer 2016-07-11 10:21:41 UTC
Created attachment 1178330 [details]
File: cgroup

Comment 3 Marcel Hetzendorfer 2016-07-11 10:21:43 UTC
Created attachment 1178331 [details]
File: core_backtrace

Comment 4 Marcel Hetzendorfer 2016-07-11 10:21:44 UTC
Created attachment 1178332 [details]
File: dso_list

Comment 5 Marcel Hetzendorfer 2016-07-11 10:21:46 UTC
Created attachment 1178333 [details]
File: environ

Comment 6 Marcel Hetzendorfer 2016-07-11 10:21:47 UTC
Created attachment 1178334 [details]
File: exploitable

Comment 7 Marcel Hetzendorfer 2016-07-11 10:21:49 UTC
Created attachment 1178335 [details]
File: limits

Comment 8 Marcel Hetzendorfer 2016-07-11 10:21:51 UTC
Created attachment 1178336 [details]
File: maps

Comment 9 Marcel Hetzendorfer 2016-07-11 10:21:52 UTC
Created attachment 1178337 [details]
File: mountinfo

Comment 10 Marcel Hetzendorfer 2016-07-11 10:21:54 UTC
Created attachment 1178338 [details]
File: namespaces

Comment 11 Marcel Hetzendorfer 2016-07-11 10:21:55 UTC
Created attachment 1178339 [details]
File: open_fds

Comment 12 Marcel Hetzendorfer 2016-07-11 10:21:56 UTC
Created attachment 1178340 [details]
File: proc_pid_status

Comment 13 Marcel Hetzendorfer 2016-07-11 10:21:58 UTC
Created attachment 1178341 [details]
File: var_log_messages

Comment 14 Fedora End Of Life 2017-07-25 21:43:50 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2017-08-08 15:30:57 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.